<!DOCTYPE html>
<html lang="zh-CN">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>登录页面</title>
    <style>
        body {
            background-color: #2B2C30;
            display: flex;
            justify-content: center;
            align-items: center;
            height: 100vh;
            margin: 0;
            font-family: Arial, sans-serif;
        }
        .login-wrapper {
            text-align: center;
        }
        .logo {
            margin-bottom: 20px; /* 调整 logo 与 login-container 的间距 */
        }
        .logo img {
            width: 150px;
            height: 150px;
        }
        .login-container {
            background-color: #fff;
            padding: 20px;
            border-radius: 8px;
            box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
            text-align: center;
        }
        .login-container h2 {
            margin-bottom: 20px;
        }
        .login-container input[type="text"],
        .login-container input[type="password"] {
            width: 80%;
            padding: 10px;
            margin: 10px 0;
            border: 1px solid #ccc;
            border-radius: 4px;
        }
        .login-container button {
            margin-top: 20px;
            width: 40%;
            padding: 10px;
            background-color: #4CAF50;
            color: white;
            border: none;
            border-radius: 4px;
            cursor: pointer;
        }
        .login-container button:hover {
            background-color: #45a049;
        }
    </style>
</head>
<body>
<div class="login-wrapper">
    <div class="logo">
        <img src="/static/images/logo.png" alt="logo">
    </div>
    <div class="login-container">
        <h2>登录</h2>
        <input type="text" placeholder="用户名" required>
        <input type="password" placeholder="密码" required>
        <button type="submit">登录</button>
    </div>
</div>
</body>
</html>
